=== debian/control ===
Source: gkrelltop
Section: x11
Priority: optional
Maintainer:  <zaimi@pegasus.rutgers.edu>
Standards-Version: 3.5.8
Build-Depends: debmake

Package: gkrelltop
Architecture: i386
Depends: ${shlibs:Depends}, gkrellm
Suggests: gkrellmd
Description: display the top three cpu intensive processes 
 in a small window inside gkrellm, similar to wmtop. 
 Useful to check out promptly what processes are cosuming 
 cpu power on your machine.
